using System;

internal sealed class Delegate585 : MulticastDelegate
{
	public extern void Invoke(object object_0, string string_0, object object_1);

	public static void smethod_0(object object_0, string string_0, object object_1, Delegate585 delegate585_1)
	{
		delegate585_1(object_0, string_0, object_1);
	}

	public extern Delegate585(object object_0, IntPtr intptr_0);

	static Delegate585()
	{
		Class10.smethod_13(typeof(Delegate585).TypeHandle);
	}

	internal static Delegate585 delegate585_0;
}
